<?php

$wp_customize->add_section(
	'lawman_education_client',
	array(
		'title' => esc_html__( 'Client', 'lawman-education' ),
		'panel' => 'lawman_home_panel',
		'priority'=> 65
	)
);

// client enable settings
$wp_customize->add_setting(
	'lawman_education_client',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'lawman_education_client',
	array(
		'section'		=> 'lawman_education_client',
		'label'			=> esc_html__( 'Content type:', 'lawman-education' ),
		'description'	=> esc_html__( 'Choose where you want to render the content from.', 'lawman-education' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-education' ),
				'enable' => esc_html__( '--Enable--', 'lawman-education' ),
		 	)
	)
);


$client_num = 5;
for ($i=1; $i <= $client_num ; $i++) { 
	
	$wp_customize->add_setting( 
		'lawman_education_client_image_'.$i,
		array(
			'sanitize_callback' => 'lawman_sanitize_image',
		) 
	);

	$wp_customize->add_control( 
		new WP_Customize_Image_Control( $wp_customize, 'lawman_education_client_image_'.$i,
		array(
			'label'       		=> esc_html__( 'Client Image ', 'lawman-education' ).$i,
			'section'     		=> 'lawman_education_client',
			'active_callback'	=> 'lawman_education_if_client_enable',
		)
	) );

	$wp_customize->add_setting(
		'lawman_education_client_image_url_'.$i,
		array(
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	
	$wp_customize->add_control(
		'lawman_education_client_image_url_'.$i,
		array(
			'section'		=> 'lawman_education_client',
			'label'			=> esc_html__( 'Image Url ', 'lawman-education' ).$i,
			'type'			=> 'url',
			'active_callback'	=> 'lawman_education_if_client_enable',
		)
	);

}
