<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * portfolio section
 */

$wp_customize->add_section(
	'lawman_education_portfolio',
	array(
		'title' => esc_html__( 'Portfolio', 'lawman-education' ),
		'panel' => 'lawman_home_panel',
		'priority'=> 45
	)
);

// portfolio enable settings
$wp_customize->add_setting(
	'lawman_education_portfolio',
	array(
		'sanitize_callback' => 'lawman_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'lawman_education_portfolio',
	array(
		'section'		=> 'lawman_education_portfolio',
		'label'			=> esc_html__( 'Content type:', 'lawman-education' ),
		'description'	=> esc_html__( 'Choose where you want to render the content from.', 'lawman-education' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-education' ),
				'cat' => esc_html__( 'Category', 'lawman-education' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_education_portfolio_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'We fight for your right', 'lawman-education' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_education_portfolio_title',
	array(
		'section'		=> 'lawman_education_portfolio',
		'label'			=> esc_html__( 'Title:', 'lawman-education' ),
		'active_callback' => 'lawman_education_if_portfolio_active',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_education_portfolio_title', 
	array(
        'selector'            => '#portfolio div.section-header h2',
		'render_callback'     => 'lawman_education_portfolio_partial_title',
	) 
);


for ($i=1; $i <= 4 ; $i++) { 
	// portfolio category setting
	$wp_customize->add_setting(
		'lawman_education_portfolio_cat_'.$i,
		array(
			'sanitize_callback' => 'lawman_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'lawman_education_portfolio_cat_'.$i,
		array(
			'section'		=> 'lawman_education_portfolio',
			'label'			=> esc_html__( 'Category:', 'lawman-education' ),
			'active_callback' => 'lawman_education_if_portfolio_active',
			'type'			=> 'select',
			'choices'		=> lawman_get_post_cat_choices(),
		)
	);
}
